summarylogtreecommitdiffstats
path: root/upx-exec.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'upx-exec.sh.in')
-rw-r--r--upx-exec.sh.in22
1 files changed, 22 insertions, 0 deletions
diff --git a/upx-exec.sh.in b/upx-exec.sh.in
new file mode 100644
index 000000000000..0cb0c5cb83a4
--- /dev/null
+++ b/upx-exec.sh.in
@@ -0,0 +1,22 @@
+#!/usr/bin/bash
+#
+# upx.sh - Compress binaries
+#
+
+[[ -n "$LIBMAKEPKG_EXECUTABLE_UPX_SH" ]] && return
+LIBMAKEPKG_EXECUTABLE_UPX_SH=1
+
+LIBRARY=${LIBRARY:-'@libmakepkgdir@'}
+
+source "$LIBRARY/util/option.sh"
+
+executable_functions+=('executable_upx')
+
+executable_upx() {
+ if check_option "upx" "y"; then
+ if ! type -p upx >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for compressing binaries.")" "upx"
+ ret=1
+ fi
+ fi
+}